Skip to main content
PUT
/
api
/
v1
/
campaigns
/
{campaign_id}
/
webhooks
/
{webhook_id}
curl -X PUT "https://app.talkover.ai/api/v1/campaigns/campaign-uuid/webhooks/webhook-uuid-1" \
  -H "Authorization: Bearer talq_your_environment_token_here" \
  -H "Content-Type: application/json" \
  -d '{
    "events": ["campaign.completed", "campaign_call.failed"],
    "include_call_events": true
  }'
{
  "success": true,
  "data": {
    "id": "webhook-uuid-1",
    "events": ["campaign.completed", "campaign_call.failed"],
    "include_call_events": true,
    "updated_at": "2024-01-15T15:30:00Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.talkover.ai/llms.txt

Use this file to discover all available pages before exploring further.

Update Campaign Webhook

Partially update a campaign webhook. All fields are optional — only fields you send are updated. Field semantics match Create Campaign Webhook.

Endpoint

PUT /api/v1/campaigns/{campaign_id}/webhooks/{webhook_id}

Path Parameters

campaign_id
string
required
Campaign UUID.
webhook_id
string
required
Webhook UUID.

Request Headers

Authorization
string
required
Bearer token. Format: Bearer talq_your_environment_token_here
Content-Type
string
required
Must be set to application/json

Examples

curl -X PUT "https://app.talkover.ai/api/v1/campaigns/campaign-uuid/webhooks/webhook-uuid-1" \
  -H "Authorization: Bearer talq_your_environment_token_here" \
  -H "Content-Type: application/json" \
  -d '{
    "events": ["campaign.completed", "campaign_call.failed"],
    "include_call_events": true
  }'

Response

{
  "success": true,
  "data": {
    "id": "webhook-uuid-1",
    "events": ["campaign.completed", "campaign_call.failed"],
    "include_call_events": true,
    "updated_at": "2024-01-15T15:30:00Z"
  }
}